org.deidentifier.arx.gui.view.impl.utility

## Class DensityData

- java.lang.Object
- - de.linearbits.jhc.JHCData
  - - org.deidentifier.arx.gui.view.impl.utility.DensityData

    public class DensityData
    extends de.linearbits.jhc.JHCData

This class implements a data object that can be passed to the heatmap widget to display the contingency table.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DensityData(DataHandle handle, int column1, int column2)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`de.linearbits.jhc.JHCHeatmap` `getHeatmap(int width, int height)`
`int` `getHeight()`
`int` `getWidth()`

### Methods inherited from class de.linearbits.jhc.JHCData

`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DensityData

    public DensityData(DataHandle handle,
                       int column1,
                       int column2)

Creates a new instance.

Parameters:
  `handle` -
  `column1` -
  `column2` -

### Method Detail

#### getHeatmap

    public de.linearbits.jhc.JHCHeatmap getHeatmap(int width,
                                                   int height)

Specified by:
  `getHeatmap` in class `de.linearbits.jhc.JHCData`

#### getHeight

    public int getHeight()

Specified by:
  `getHeight` in class `de.linearbits.jhc.JHCData`

#### getWidth

    public int getWidth()

Specified by:
  `getWidth` in class `de.linearbits.jhc.JHCData`